<form [formGroup]="entityForm" (ngSubmit)="submit()">
  <input type="text"  placeholder="username" formControlName="username"/>
  <input type="password"  placeholder="password" formControlName="userpassword"/>

  <button type="submit">Submit</button>
</form>

<button (click)="getAllUsers()">Get All users</button>
<button (click)="logout()">Logout</button>
